﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace BindingExample
{
    public class Person : INotifyPropertyChanged
    {
        public string Name { get; set; }

        private double m_age;
        public double Age
        {
            get { return m_age; }

            set
            {
                if (value != m_age)
                {
                    m_age = value;
                    OnPropertyChanged("Age");
                }
            }
        }


        public event PropertyChangedEventHandler PropertyChanged;

        private void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }
}
