﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Media;

namespace RawRender
{
    public class CustomRender : FrameworkElement
    {
        private Brush fillValue = Brushes.Yellow;
        public Brush Fill
        {
            get
            {
                return fillValue;
            }
            set
            {
                fillValue = value;
                InvalidateVisual();
            }
        }
        protected override void OnRender(DrawingContext drawingContext)
        {
            Rect r = new Rect(0, 0, ActualWidth, ActualHeight);
            drawingContext.DrawRectangle(Brushes.Red, null, r);

            Point ellipseCenter = new Point(ActualWidth / 2, ActualHeight / 2);
            drawingContext.DrawEllipse(Fill, new Pen(Brushes.Black, 2),
                ellipseCenter, ActualWidth / 2 - 4, ActualHeight / 2 - 4);
        }
    }



}
